ofbiz-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jacques Le Roux (Jira)" <j...@apache.org>
Subject [jira] [Created] (OFBIZ-11174) J2KImageReader is missing with Tika
Date Mon, 26 Aug 2019 06:33:00 GMT
Jacques Le Roux created OFBIZ-11174:
---------------------------------------

             Summary: J2KImageReader is missing with Tika
                 Key: OFBIZ-11174
                 URL: https://issues.apache.org/jira/browse/OFBIZ-11174
             Project: OFBiz
          Issue Type: Improvement
          Components: framework, Gradle
    Affects Versions: Trunk
            Reporter: Jacques Le Roux


While working on OFBIZ-11123 I saw this message in log:
{noformat}
2019-08-18 12:14:19,597 |jsse-nio-8443-exec-6 |SequenceUtil |I| Got bank of sequenced IDs
for [DataResource]; curSeqId=10030, maxSeqId=10040, bankSize=10
 Aug 18, 2019 12:14:19 PM org.apache.tika.config.InitializableProblemHandler$3 handleInitializableProblem
 WARNING: J2KImageReader not loaded. JPEG2000 files will not be processed.
 See https://pdfbox.apache.org/2.0/dependencies.html#jai-image-io
 for optional dependencies.
Aug 18, 2019 12:14:19 PM org.apache.tika.config.InitializableProblemHandler$3 handleInitializableProblem
 WARNING: org.xerial's sqlite-jdbc is not loaded.
 Please provide the jar on your classpath to parse sqlite files.
 See tika-parsers/pom.xml for the correct version.
{noformat}
 
 As explained in this [Stackoverflow question|https://stackoverflow.com/questions/48970160/how-do-i-configure-the-pom-xml-of-tika-to-stop-getting-all-the-license-dependenc]
[J2KImageReader is not ASL2 compatible|https://pdfbox.apache.org/2.0/dependencies.html#jai-image-io]

We have the latest version of Tika. So it seems we need to include the latest version of PdfBox
because Tika does not use it already. I'll check that...



--
This message was sent by Atlassian Jira
(v8.3.2#803003)

Mime
View raw message